macOS 12 Monterey compatibility


(See this page for macOS 11 Big Sur compatibility.)

We will update this webpage as compatible products are released.

For best results, run Fiery software only on the supported operating systems and hardware platforms listed below.

The table lists the versions of Fiery products that are compatible with macOS 12 Monterey running on Intel CPUs.

EFI is actively working to optimize its products to run natively on Apple computers using the Apple M1 chip. See below for Fiery products that currently run on Apple M1 computers using the macOS 12 Monterey Rosetta2 dynamic binary translator. 

Fiery Software Compatibility on Intel CPU

Compatibility on Apple M1 with Rosetta2

Compatibility on Apple M1 (native, without Rosetta2)

Fiery Command WorkStation Package
  - Fiery Hot Folders
 - Fiery Impose, Compose, JobMaster

Version 6.7.0.318
Version 6.7.0.318
Some components of version 6.7.0.318 continue to use Rosetta2 
Fiery Driver
macOS versions supported:
- macOS 12 Monterey
- macOS 11 Big Sur
- macOS 10.15.x Catalina
Fiery Driver 6.5
Compatible with known issues. Please see EFI Communities for updates and workarounds

Fiery Driver 6.5 
Compatible with known issues. Please see EFI Communities for updates and workarounds

Not compatible
Fiery FreeForm Create 1.1 and 1.2  1.1 and 1.2 Not compatible yet
Fiery Color Profiler Suite Version 5.4 Version 5.4 Targeted to be supported in version 5.5
Fiery XF Universal Driver 7.3.2.1 7.3.2.1 7.3.2.1
Fiery proServer and Fiery XF      
   - Fiery XF Server (Windows only server) Not applicable Not applicable Not applicable
 -  Fiery Color Profiler Suite Version 5.4 Version 5.4 Targeted to be supported in version 5.5
 -  Fiery Command WorkStation Version 6.7.0.318
Version 6.7.0.318
Some components of version 6.7.0.318 continue to use Rosetta2
 Acrobat 2017 Enfocus PitStop 2019 kit Compatible Compatible Not compatible. May experience licensing issue.
PrintMe
Includes PrintMe Mac driver, PrintMe Web Release, and PrintMe.com website 
Compatible Compatible Compatible (except PrintMe Mac driver which requires Rosetta2)
 EFI IQ      
 - ColorGuard
   Including ColorGuard Desktop and
   colorguard.efi.com 
 Compatible Compatible Not compatible yet
 - Dashboard, Insight, Manage, Notify  Compatible Compatible Compatible 
 - EFI Cloud Connector  Compatible Compatible Not compatible yet
 Self-Serve AdminCentral  Compatible Compatible  Compatible
 Fiery JobFlow  2.7.0.23  2.7.0.23 2.7.0.23